Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.web.context.request.async
Class AsyncExecutionChainRunnable

    java.lang.Object
      org.springframework.web.context.request.async.AsyncExecutionChainRunnable

All Implemented Interfaces:
  java.lang.Runnable

    public class AsyncExecutionChainRunnable

extends java.lang.Object
implements java.lang.Runnable

A Runnable for invoking a chain of Callable instances and completing async request processing while also dealing with any unhandled exceptions.

Since:
  3.2
Author:
  Rossen Stoyanchev
See Also:
  `AsyncExecutionChain.startCallableChainProcessing()`, `AsyncExecutionChain.startDeferredResultProcessing(DeferredResult)`

Constructor Summary
`AsyncExecutionChainRunnable(AsyncWebRequest asyncWebRequest, java.util.concurrent.Callable<?> callable)` Class constructor.

Method Summary
`void` | `run()` Run the async execution chain and complete the async request.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AsyncExecutionChainRunnable

    public AsyncExecutionChainRunnable(AsyncWebRequest asyncWebRequest,
                                       java.util.concurrent.Callable<?> callable)

  Class constructor.

  Parameters:
    `asyncWebRequest` - the async request
    `callable` - the async execution chain

Method Detail

### run

    public void run()

  Run the async execution chain and complete the async request.

  A `StaleAsyncWebRequestException` is logged at debug level and absorbed while any other unhandled `Exception` results in a 500 response code.

  Specified by:
    `run` in interface `java.lang.Runnable`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD